
Foreman - Bug #12648

Checkbox "Preallocate disk" doesn't get saved for a Compute Profile

12/01/2015 01:08 PM - Bryan Kearney

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Web Interface   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1286033 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1286033

Description of problem:

in Web UI go to Infrastructure -> "Compute Profile" -> Select a RHEV Compute resource.  In the section "Volumes" check the box for

"Preallocate Disk" and click "Submit".  If you re-edit this profile, checkbox is unchecked again.

Version-Release number of selected component (if applicable):

Satellite 6.1.4

How reproducible:

always

Steps to Reproduce:

1. Go to Infrastructure -> Compute Resources

2. Add a RHEV-M Compute resource

3. Go to Infrastructure -> Compute Profile

4. Select a Profile

5. Select the RHEV-M Compute resource

6. Add a Volume and Check "Preallocate Disk"

7. Save the profile

8. Edit the profile again

Actual results:

The Checkbox "Preallocate Disk" is again unchecked

Expected results:

The checkbox should remain checked.

Additional info:

There is a similiar foreman-bug upstream:

http://projects.theforeman.org/issues/9932

Related issues:

Is duplicate of Foreman - Bug #9932: Setting 'Preallocate disk' flag for oVir... Closed 03/27/2015

History

#1 - 12/02/2015 02:50 AM - Dominic Cleal

- Is duplicate of Bug #9932: Setting 'Preallocate disk' flag for oVirt compute profile does not stick added

#2 - 12/02/2015 02:50 AM - Dominic Cleal

- Status changed from New to Duplicate
